
generic

  type Scalar is private;

  with function IsNumeric(S: Scalar) return Boolean is <>;
  with function Scal(K: Integer) return Scalar is <>;
  with function Inv(S: Scalar) return Scalar is <>;

package Constants is

  ScalZero:    constant Scalar    := Scal(0);
  ScalOne:     constant Scalar    := Scal(1);
  ScalTwo:     constant Scalar    := Scal(2);
  ScalThree:   constant Scalar    := Scal(3);
  ScalFour:    constant Scalar    := Scal(4);
  ScalHalf:    constant Scalar    := Inv(ScalTwo);
  ScalQuarter: constant Scalar    := Inv(ScalFour);
  Trunc:       constant Boolean   := IsNumeric(ScalZero);

end Constants;
