with Ada.Text_IO, FltStr;
use Ada.Text_IO;

package Flts.IO is

  package Flt_IO is new Ada.Text_IO.Float_IO(Flt);
  package Flt_Str is new FltStr(Flt);

  procedure Show1(N: in String; R: in Flt; NewLine: in Boolean := True);
  procedure Show2(N: in String; R1,R2: in Flt; NewLine: in Boolean := True);
  procedure Get(F: in File_Type; R: out Flt; Decimal: in Boolean := False);
  procedure Put(F: in File_Type; R: in Flt; Decimal: in Boolean := False);
  procedure Plot2(F: in File_Type; R1,R2: in Flt; NewLine: in Boolean := True);
  procedure Plot2(Name: in String; R1,R2: in Flt);
  procedure Plot3(F: in File_Type; R1,R2,R3: in Flt; NewLine: in Boolean := True);
  procedure Plot3(Name: in String; R1,R2,R3: in Flt);

end Flts.IO;
