with Ada.Text_IO;
use Ada.Text_IO;

package Ints.IO is

  package Int_IO is new Ada.Text_IO.Integer_IO(Integer);

  function Val(C: Character; VMax: Positive) return Natural;
  function Value(S: String; Base: Positive) return Integer;
  function Image(I: Integer; Base: Positive; ShowPlus: Boolean) return String;
  function Strng(I: Integer; W: Positive) return String;
  function Strng(I: Integer) return String;
  procedure Get(F: in File_Type; I: out Integer);
  function Get(F: File_Type; VFirst: Integer) return IntVector;
  procedure Put(F: in File_Type; I: in Integer; NewLine: in Boolean := True);
  procedure Put(F: in File_Type; V: in IntVector);
  procedure Show0(N: in String; NewLine: in Boolean := True);
  procedure Show1(N: in String; I: in Integer; NewLine: in Boolean := True);
  procedure Show2(N: in String; I1,I2: in Integer; NewLine: in Boolean := True);
  procedure Show1(N: in String; V: in IntVector; NewLine: in Boolean := True);
  procedure Show1(N: in String; A: in IntMatrix; NewLine: in Boolean := True);

  UpDig: constant array(0..35) of Character := "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  LoDig: constant array(0..35) of Character := "0123456789abcdefghijklmnopqrstuvwxyz";

end Ints.IO;
