
package body Ints is

  function IMin(I1,I2,I3: Integer) return Integer is
  begin
    return IMin(IMin(I1,I2),I3);
  end IMin;

  function IMax(I1,I2,I3: Integer) return Integer is
  begin
    return IMax(IMin(I1,I2),I3);
  end IMax;

  function IntVal(B: Boolean) return Integer is
  begin
    if B then return 1; else return 0; end if;
  end IntVal;

  function Strip0(I: Natural; Base: Positive := 10) return Natural is
    J: Natural := I;
  begin
    while J>0 and then (J mod Base)=0 loop J := J/Base; end loop;
    return J;
  end Strip0;

  function Width(I: Integer; Base: Positive := 10) return Positive is
    K,L: Integer;
  begin
    K := abs(I);
    if I<0 then L := 2; else L := 1; end if;
    while K >= Base loop
      K := K/Base;
      L := L+1;
    end loop;
    return L;
  end Width;

end Ints;
