
package Ints is

  function IMin(I1,I2: Integer) return Integer renames Integer'Min;
  function IMax(I1,I2: Integer) return Integer renames Integer'Max;
  function IMin(I1,I2,I3: Integer) return Integer;
  function IMax(I1,I2,I3: Integer) return Integer;
  function IntVal(B: Boolean) return Integer;
  function Strip0(I: Natural; Base: Positive := 10) return Natural;
  function Width(I: Integer; Base: Positive := 10) return Positive;

  type IntVector is array(Integer range <>) of Integer;
  type IntMatrix is array(Integer range <>, Integer range <>) of Integer;
  subtype Parity is Integer range 0 .. 1;
  type ParPair is array(1..2) of Parity;

  pragma Inline (IMin,IMax,IntVal,Strip0);

end Ints;
