with Ada.Text_IO, Messages, Ints, Flts;
use Ada.Text_IO, Messages, Ints, Flts;
with Balls, Vectors;

with Long_Floats; use Long_Floats;
--with MPFR.Floats; use MPFR.Floats;

procedure ShowMat is

  type SRep is new Rep;
--  type SRep is new MPFloat;

  package Scalars is new Balls (Rep => SRep);
  use Scalars;
  package SVectors is new Vectors (Scalar => Ball);
  use SVectors;

  Dim: constant Positive := GetArg;
  Name: constant String := GetArg;

  A: Matrix(1 .. Dim,1 .. Dim);

begin

  Read(Name,A);
  Show1("",A);

end ShowMat;
