pragma Optimize (Off);

package body Rounding.Misc is

  One: constant Flt := Flt(1);

  procedure AddUp(R1: in Flt; R2: in out Flt) is
  begin
    if Current_Rounding_Mode=Up then
      R2 := R1+R2;
    else
      Load_Control_Word(Up);
      R2 := R1+R2;
      Load_Control_Word(Current_Rounding_Mode);
    end if;
  end AddUp;

  function SumUp(R1,R2: Flt) return Flt is
  begin
    if Current_Rounding_Mode=Up then
      return R1+R2;
    end if;
    Load_Control_Word(Up);
    declare
      R3: constant Flt := R1+R2;
    begin
      Load_Control_Word(Current_Rounding_Mode);
      return R3;
    end;
  end SumUp;

  procedure MultUp(R1: in Flt; R2: in out Flt) is
  begin
    if Current_Rounding_Mode=Up then
      R2 := R1*R2;
    else
      Load_Control_Word(Up);
      R2 := R1*R2;
      Load_Control_Word(Current_Rounding_Mode);
    end if;
  end MultUp;

  function ProdUp(R1,R2: Flt) return Flt is
  begin
    if Current_Rounding_Mode=Up then
      return R1*R2;
    end if;
    Load_Control_Word(Up);
    declare
      R3: constant Flt := R1*R2;
    begin
      Load_Control_Word(Current_Rounding_Mode);
      return R3;
    end;
  end ProdUp;

  procedure AddProdUp(R1,R2: in Flt; R3: in out Flt) is
  begin
    if Current_Rounding_Mode=Up then
      R3 := R1*R2+R3;
    else
      Load_Control_Word(Up);
      R3 := R1*R2+R3;
      Load_Control_Word(Current_Rounding_Mode);
    end if;
  end AddProdUp;

  function InvUp(R: Flt) return Flt is
  begin
    if Current_Rounding_Mode=Up then
      return One/R;
    end if;
    Load_Control_Word(Up);
    declare
      Rt: constant Flt := One/R;
    begin
      Load_Control_Word(Current_Rounding_Mode);
      return Rt;
    end;
  end InvUp;

  function QuotUp(R1,R2: Flt) return Flt is
  begin
    if Current_Rounding_Mode=Up then
      return R1/R2;
    end if;
    Load_Control_Word(Up);
    declare
      R3: constant Flt := R1/R2;
    begin
      Load_Control_Word(Current_Rounding_Mode);
      return R3;
    end;
  end QuotUp;

end Rounding.Misc;
