with Ada.Text_IO, Messages, Ints, Ints.IO, Flts, Flts.IO, Balls;
use Ada.Text_IO, Messages, Ints, Ints.IO, Flts, Flts.IO;
with Vectors, Vectors.Ops, Vectors.Num;

--with Long_Floats; use Long_Floats;
with MPFR.Floats; use MPFR.Floats;

procedure TestScal is

--  type SRep is new Rep;
  type SRep is new MPFloat;

  package Scalars is new Balls (Rep => SRep);
  use Scalars;

  type Scalar is new Ball;

  Dim: constant Positive := 3;

  R,R1,R2,R3: Flt;
  S,S1,S2,S3: Scalar;

begin
  Set_New_Precision(S,128);

  S1 := Scal(1)/Scal(3);
  S1 := S1*S1;
  Show1("",S1);
  Put(Standard_Output,S1);
--  Write("foo72",S1);
  Read("foo72",S2);
  Put(Standard_Output,S2);

  Set_New_Precision(S1,96);

  S3 := S2;
  Put(Standard_Output,S3);
  S3 := S2+Scal(0);
  Put(Standard_Output,S3);

end TestScal;

